org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryNodeAddFinishedMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryNodeAddFinishedMessage

All Implemented Interfaces:
  Serializable

    @TcpDiscoveryEnsureDelivery
     @TcpDiscoveryRedirectToClient
    public class TcpDiscoveryNodeAddFinishedMessage
    extends TcpDiscoveryAbstractMessage

Sent by coordinator across the ring to finish node add process.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CHANGE_TOPOLOGY_FLAG_POS, CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, COMPRESS_DATA_PACKET, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryNodeAddFinishedMessage(TcpDiscoveryNodeAddFinishedMessage msg)`
`TcpDiscoveryNodeAddFinishedMessage(UUID creatorNodeId, UUID nodeId)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`DiscoveryDataPacket` `clientDiscoData()`
`void` `clientDiscoData(DiscoveryDataPacket clientDiscoData)`
`Map<String,Object>` `clientNodeAttributes()`
`void` `clientNodeAttributes(Map<String,Object> clientNodeAttrs)`
`UUID` `nodeId()` Gets ID of the node added.
`String` `toString()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, equals, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, traceLogLevel, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryNodeAddFinishedMessage

    public TcpDiscoveryNodeAddFinishedMessage(UUID creatorNodeId,
                                              UUID nodeId)

Constructor.

Parameters:
  `creatorNodeId` - ID of the creator node (coordinator).
  `nodeId` - Added node ID.

#### TcpDiscoveryNodeAddFinishedMessage

    public TcpDiscoveryNodeAddFinishedMessage(TcpDiscoveryNodeAddFinishedMessage msg)

Parameters:
  `msg` - Message.

### Method Detail

#### nodeId

    public UUID nodeId()

Gets ID of the node added.

Returns:
  ID of the node added.

#### clientDiscoData

    public DiscoveryDataPacket clientDiscoData()

Returns:
  Discovery data for joined client.

#### clientDiscoData

    public void clientDiscoData(DiscoveryDataPacket clientDiscoData)

Parameters:
  `clientDiscoData` - Discovery data for joined client.

#### clientNodeAttributes

    public Map<String,Object> clientNodeAttributes()

Returns:
  Client node attributes.

#### clientNodeAttributes

    public void clientNodeAttributes(Map<String,Object> clientNodeAttrs)

Parameters:
  `clientNodeAttrs` - New client node attributes.

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020